% bornes.m
% bornes inferieures au rang generique
% permettent de trouver les exceptions pour les ordres 3 ou 4

% CAS DIMENSIONS EGALES
fprintf('====================\n');
fprintf('Cas non symetrique de dimensions egales\n')
R=[];
for d=3:4,
    for k=2:9,
    R(d-2,k-1)=ceil(k^d/(k*d-d+1));
    end;
end;
R

fprintf('idem mais sans arondi pour detecter les ratios entiers\n')
Re=[];
for d=3:4,
    for k=2:9,
    Re(d-2,k-1)=k^d/(k*d-d+1);
    end;
end;
Re

% CAS NON SYMETRIQUE
fprintf('====================\n');
fprintf('Cas non symetrique\n')
R=[];
for n3=2:4,
    for n1=2:12,
    for n2=2:5,
    R(n1-1,n2-1)=ceil(n1*n2*n3/(n1+n2+n3-2));
end;end;
n3,R
end;
    
fprintf('idem mais sans arondi pour detecter les ratios entiers\n')
Re=[];
for n3=2:4,
    for n1=2:12,
    for n2=2:5,
    Re(n1-1,n2-1)=n1*n2*n3/(n1+n2+n3-2);
end;end;
n3,Re
end;

% CAS INDSCAL
fprintf('====================\n');
fprintf('Cas INDSCAL\n')
R=[];
for n1=2:10,
    for n2=2:5
        R(n1-1,n2-1)=ceil(n2*(n2+1)/2*n1/(n1+n2-1));
    end;
end;
R

fprintf('idem mais sans arondi pour detecter les ratios entiers\n')
Re=[];
for n1=2:10,
    for n2=2:5
        Re(n1-1,n2-1)=n2*(n2+1)/2*n1/(n1+n2-1);
    end;
end;
Re